M_TRAP_ALLOCATIONS(3)

EXPERIMENTAL_FUNC
m_trap_allocations - Trap memory allocations within a certain range and abort.

SYNOPSIS
#include <karma_m.h>

void m_trap_allocations

(uaddr min, uaddr max)

DESCRIPTION
Trap memory allocations within a certain range and abort.

min Allocations less than this size will not be trapped.

max Allocations equal to or greater than this size will not be trapped.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/